'use strict';

var dom = require('svelte-native/dom');
var nativescriptUiCalendar = require('nativescript-ui-calendar');

class RadCalendarElement extends dom.NativeViewElementNode {
    constructor() {
        super('radCalendar', nativescriptUiCalendar.RadCalendar);
    }
    navigateForward() {
        this.nativeView.navigateForward();
    }
    navigateBack() {
        this.nativeView.navigateBack();
    }
    goToDate(date) {
        this.nativeView.goToDate(date);
    }
    static register() {
        dom.registerElement('radCalendar', () => new RadCalendarElement());
    }
}

module.exports = RadCalendarElement;
