'use strict';

var dom = require('svelte-native/dom');
var nativescriptUiGauge = require('nativescript-ui-gauge');

class Gauges {
    static register() {
        const registerConfigElement = (tag, native, setsParentProp = null, propconfig = {}) => dom.registerNativeConfigElement(tag, () => native, setsParentProp, propconfig);
        dom.registerElement('radRadialGauge', () => new dom.NativeViewElementNode('radRadialGauge', nativescriptUiGauge.RadRadialGauge, null, { "scales": dom.NativeElementPropType.ObservableArray }));
        registerConfigElement('radialScale', nativescriptUiGauge.RadialScale, "scales", { "indicators": dom.NativeElementPropType.ObservableArray });
        registerConfigElement('radialNeedle', nativescriptUiGauge.RadialNeedle, "indicators");
        registerConfigElement('radialBarIndicator', nativescriptUiGauge.RadialBarIndicator, "indicators");
        registerConfigElement('scaleStyle', nativescriptUiGauge.ScaleStyle, "scaleStyle");
        registerConfigElement('barIndicatorStyle', nativescriptUiGauge.BarIndicatorStyle, "indicatorStyle");
    }
}

module.exports = Gauges;
