import { registerElement, NativeViewElementNode, NativeElementPropType, registerNativeConfigElement } from 'svelte-native/dom';
import { RadRadialGauge, RadialScale, RadialNeedle, RadialBarIndicator, ScaleStyle, BarIndicatorStyle } from 'nativescript-ui-gauge';

class Gauges {
    static register() {
        const registerConfigElement = (tag, native, setsParentProp = null, propconfig = {}) => registerNativeConfigElement(tag, () => native, setsParentProp, propconfig);
        registerElement('radRadialGauge', () => new NativeViewElementNode('radRadialGauge', RadRadialGauge, null, { "scales": NativeElementPropType.ObservableArray }));
        registerConfigElement('radialScale', RadialScale, "scales", { "indicators": NativeElementPropType.ObservableArray });
        registerConfigElement('radialNeedle', RadialNeedle, "indicators");
        registerConfigElement('radialBarIndicator', RadialBarIndicator, "indicators");
        registerConfigElement('scaleStyle', ScaleStyle, "scaleStyle");
        registerConfigElement('barIndicatorStyle', BarIndicatorStyle, "indicatorStyle");
    }
}

export default Gauges;
