'use strict';

var dom = require('svelte-native/dom');
var nativescriptUiSidedrawer = require('nativescript-ui-sidedrawer');

class RadSideDrawerElement extends dom.NativeViewElementNode {
    constructor() {
        super('radSideDrawer', nativescriptUiSidedrawer.RadSideDrawer);
    }
    get _drawer() {
        return this.nativeView;
    }
    closeDrawer() {
        this._drawer.closeDrawer();
    }
    getIsOpen() {
        return this._drawer.getIsOpen();
    }
    showDrawer() {
        this._drawer.showDrawer();
    }
    toggleDrawerState() {
        this._drawer.toggleDrawerState();
    }
    static register() {
        dom.registerElement('radSideDrawer', () => new RadSideDrawerElement());
    }
}

module.exports = RadSideDrawerElement;
