import { NativeViewElementNode, registerElement } from 'svelte-native/dom';
import { RadSideDrawer } from 'nativescript-ui-sidedrawer';

class RadSideDrawerElement extends NativeViewElementNode {
    constructor() {
        super('radSideDrawer', RadSideDrawer);
    }
    get _drawer() {
        return this.nativeView;
    }
    closeDrawer() {
        this._drawer.closeDrawer();
    }
    getIsOpen() {
        return this._drawer.getIsOpen();
    }
    showDrawer() {
        this._drawer.showDrawer();
    }
    toggleDrawerState() {
        this._drawer.toggleDrawerState();
    }
    static register() {
        registerElement('radSideDrawer', () => new RadSideDrawerElement());
    }
}

export default RadSideDrawerElement;
